API ReferenceGoogle One Tap
POST
/v1/auth/onetap/idtoken/verify

Authorization

Descope Project ID
AuthorizationBearer <token>

Project ID as bearer token.

In: header

Request Body

application/json

provider*string
Length1 <= length <= 254
idToken*string
Length1 <= length <= 4096
nonce*string
Length1 <= length <= 254
loginOptions?object

Verifies one tap id token for a code

curl -X POST "https://api.descope.com/v1/auth/onetap/idtoken/verify" \  -H "Content-Type: application/json" \  -d '{    "provider": "string",    "idToken": "string",    "nonce": "string"  }'
{  "code": "string"}
export interface Response {code?: string}
Was this helpful?